Summary:        German/English Dictionary Look-up Program
Name:           ding
Version:        1.9
Release:        %mkrel 4
License:        GPLv2+
Group:          System/Internationalization
URL:            https://www-user.tu-chemnitz.de/~fri/ding/
Source:         https://ftp.tu-chemnitz.de/pub/Local/urz/ding/ding-%{version}.tar.gz
Source1:        https://ftp.tu-chemnitz.de/pub/Local/urz/ding/de-en/de-en.txt.gz
Patch0:         ding-1.9-mga-xdg.patch
Patch1:         ding-1.5-encoding.patch
Patch2:         use-grep-instead-of-egrep.patch
BuildArch:      noarch
BuildRequires:  desktop-file-utils
BuildRequires:  imagemagick

Requires:       tcl >= 8.0
Requires:       tk >= 8.0
Requires:       aspell-en
Requires:       aspell-de

%description
Ding (DIctionary Nice Grep) is a tool to look up words in dictionaries.
It uses tools like agrep, dict, ispell/aspell etc. It contains a program
(ding) written in Tcl/Tk and a German - English dictionary with about
326,000 translations.

%prep
%autosetup -p1

zcat %SOURCE1 > de-en.txt

%build


%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/dict
mkdir -p %{buildroot}%{_datadir}/pixmaps
mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/doc/%{name}-%{version}
mkdir -p %{buildroot}%{_mandir}/man1
cp ding %{buildroot}%{_bindir}/ding
cp de-en.txt %{buildroot}%{_datadir}/dict/de-en.txt
cp ding.png %{buildroot}%{_datadir}/pixmaps/ding.png
cp ding.desktop %{buildroot}%{_datadir}/applications/ding.desktop
cp ding.1 %{buildroot}%{_mandir}/man1/ding.1
mkdir -p %{buildroot}{%_liconsdir,%_miconsdir,%_iconsdir}
ln -s %{_datadir}/pixmaps/%name.png %{buildroot}%{_iconsdir}/
convert -scale 16 %{name}.png %{buildroot}%{_miconsdir}/%{name}.png

%files
%doc CHANGES README.md
%license COPYING
%{_bindir}/ding
%{_datadir}/dict/de-en.txt
%{_datadir}/pixmaps/ding.png
%{_datadir}/applications/ding.desktop
%{_mandir}/man1/ding.1*
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.9-4.mga10
+ Revision: 2224855
- Mageia 10 Mass Rebuild

* Thu Jul 11 2024 daviddavid <daviddavid> 1.9-3.mga10
+ Revision: 2080716
- add opensuse patch to use grep instead of egrep (mga#33392)

* Thu Mar 31 2022 umeabot <umeabot> 1.9-2.mga9
+ Revision: 1837371
- Mageia 9 Mass Rebuild

* Mon Feb 28 2022 danf <danf> 1.9-1.mga9
+ Revision: 1786576
- Update to ver. 1.9
- Switch URLs from http: to https:

* Fri Feb 14 2020 umeabot <umeabot> 1.8.1-2.mga8
+ Revision: 1521878
- Mageia 8 Mass Rebuild

* Thu Jan 03 2019 daviddavid <daviddavid> 1.8.1-1.mga7
+ Revision: 1348936
- new version: 1.8.1

* Sun Sep 23 2018 umeabot <umeabot> 1.8-4.mga7
+ Revision: 1297449
- Mageia 7 Mass Rebuild

* Thu Oct 19 2017 gw666 <gw666> 1.8-3.mga7
+ Revision: 1172740
- update dictionary (bug #21185)
- update description

* Wed Jan 13 2016 gw666 <gw666> 1.8-2.mga6
+ Revision: 922443
- rebuild

* Wed Jul 08 2015 gw666 <gw666> 1.8-1.mga6
+ Revision: 852725
- new version

* Wed Oct 15 2014 umeabot <umeabot> 1.7-6.mga5
+ Revision: 740689
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.7-5.mga5
+ Revision: 678748
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.7-4.mga4
+ Revision: 503804
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.7-3.mga3
+ Revision: 348806
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ gw666 <gw666>
- remove outdated COPYING file from package

* Wed Oct 24 2012 gw666 <gw666> 1.7-2.mga3
+ Revision: 309610
- imported package ding


* Thu Sep 15 2011 Götz Waschk <waschk@mandriva.org> 1.7-2mdv2012.0
+ Revision: 699820
- rebuild

* Tue Sep 14 2010 Götz Waschk <waschk@mandriva.org> 1.7-1mdv2011.0
+ Revision: 578234
- update to new version 1.7

* Sat May 09 2009 Götz Waschk <waschk@mandriva.org> 1.6-1mdv2011.0
+ Revision: 373842
- update to new version 1.6

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.5-3mdv2009.0
+ Revision: 244337
- rebuild
- drop old menu

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Dec 21 2007 Olivier Blin <blino@mandriva.org> 1.5-1mdv2008.1
+ Revision: 136365
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Apr 17 2007 Götz Waschk <waschk@mandriva.org> 1.5-1mdv2007.1
+ Revision: 13548
- Import ding



* Tue Apr 17 2007 Götz Waschk <waschk@mandriva.org> 1.5-1mdv2007.1
- fix deps
- rediff patches
- New version 1.5

* Sat Aug  5 2006 Götz Waschk <waschk@mandriva.org> 1.4-4mdv2007.0
- fix patch 1

* Thu Aug  3 2006 Götz Waschk <waschk@mandriva.org> 1.4-3mdv2007.0
- fix setting of the encoding

* Thu Aug  3 2006 Götz Waschk <waschk@mandriva.org> 1.4-2mdv2007.0
- add debian menu entry for backports
- depend on locales-de

* Wed Aug  2 2006 Götz Waschk <waschk@mandriva.org> 1.4-1mdv2007.0
- initial mdv version

* Fri Jan 21 2005 Frank Richter <frank.richter@hrz.tu-chemnitz.de>
- version 1.4

* Wed Feb 11 2004 Frank Richter <frank.richter@hrz.tu-chemnitz.de>
- Time to start a changelog ...
- Changes for version 1.3, fiddling with *.desktop files
